| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes | List of all members
cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassWmmaTensorOp, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator > Struct Template Reference

`#include <default_gemm_configuration.h>`

## Public Types
using | EpilogueOutputOp = epilogue::thread::LinearCombination< ElementC, 128/sizeof_bits< ElementC >::value, ElementAccumulator, ElementAccumulator >
using | Operator = arch::OpMultiplyAdd

## Static Public Attributes
static int const | kAlignmentA = 128 / sizeof_bits<ElementA>::value
static int const | kAlignmentB = 128 / sizeof_bits<ElementB>::value
static int const | kStages = 2

## Member Typedef Documentation

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassWmmaTensorOp, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::EpilogueOutputOp = epilogue::thread::LinearCombination< ElementC, 128 / sizeof_bits<ElementC>::value, ElementAccumulator, ElementAccumulator >

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassWmmaTensorOp, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::Operator = arch::OpMultiplyAdd

## Member Data Documentation

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassWmmaTensorOp, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::kAlignmentA = 128 / sizeof_bits<ElementA>::value
| static

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassWmmaTensorOp, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::kAlignmentB = 128 / sizeof_bits<ElementB>::value
| static

template<typename ArchTag , typename ElementA , typename ElementB , typename ElementC , typename ElementAccumulator >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassWmmaTensorOp, ArchTag, ElementA, ElementB, ElementC, ElementAccumulator >::kStages = 2
| static

The documentation for this struct was generated from the following file:

- default_gemm_configuration.h